<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.feesapi.dzfp.mapper.EiSalerConfigMapper">
    <!--list查询-->
    <select id="selectListMap" resultType="java.util.Map">
        select * from ei_saler_config where 1=1

        <!--模糊查询 -->
        <if test="searchText!=null">
            AND (code like '%${searchText}%'
            OR goodname like '%${searchText}%'
            OR goodcode like '%${searchText}%'
            )
        </if>
    </select>
    <resultMap id="eiSalerConfigMap" type="com.tofly.feesapi.dzfp.entity.EiSalerConfig">
        <id property="id" column="ID"/>
        <result property="saleraccount" column="SALERACCOUNT"/>
        <result property="salerbank" column="SALERBANK"/>
        <result property="saleraddress" column="SALERADDRESS"/>
        <result property="salertel" column="SALERTEL"/>
        <result property="salertaxnum" column="SALERTAXNUM"/>
        <result property="departmentid" column="DEPARTMENTID"/>
        <result property="clerkid" column="CLERKID"/>
        <result property="extensionnumber" column="EXTENSIONNUMBER"/>
        <result property="terminalnumber" column="TERMINALNUMBER"/>
        <result property="machinecode" column="MACHINECODE"/>
        <result property="pqbm" column="PQBM"/>
        <result property="gsbm" column="GSBM"/>
        <result property="disable" column="DISABLE"/>
    </resultMap>
</mapper>
